<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.wisdom.alarm.sharding.mapper.DatadictionaryMapper">


    <select id="selectBycode" parameterType="java.util.Map" resultType="com.gyee.wisdom.alarm.sharding.entity.Datadictionary">
        select * from Datadictionary where code = #{relatedParts}
    </select>


    <select id="getAllDatadictionary" resultType="com.gyee.wisdom.alarm.sharding.entity.Datadictionary" >
        select * from Datadictionary a
        where category = 'early_category'
    </select>

</mapper>
